#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>

//define F_CPU
#ifndef F_CPU
#define F_CPU 8000000UL
#warning F_CPU
#endif

#include <util/delay.h>

//Include project files
#include "uart.h"
//#include "USI_TWI_Master.h"

#define nop() __asm volatile ("nop")

//TWI - definitions
#define LCD 0b01110100
#define I2C_READ    1
#define I2C_WRITE   0

int main(void)
{
    uint8_t i = 0;
    uart_init();
    DDRA |= (1 << 1);
    sei();
    while(1)
    {
        uart_putc(i++);
        _delay_ms(500);
        PORTA ^= (1 << 1);
    }
}
